package com.huimv.eartag2.manage.pojo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;

import java.sql.Date;
import java.sql.Timestamp;
import java.time.LocalDate;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author newspaper
 * @since 2024-03-28
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("eartag_data")
public class EartagData implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 命令头
     */
    @TableField("cmd_header")
    private String cmdHeader;

    /**
     * 采集器ID
     */
    @TableField("device")
    private String device;

    /**
     * 耳标号
     */
    @TableField("earmark")
    private String earmark;

    /**
     * 电池电量
     */
    @TableField("bat")
    private Integer bat;

    /**
     * 耳标温度
     */
    @TableField("ear_temp")
    private Integer earTemp;

    /**
     * 耳标温度
     */
    @TableField("ear_temp1")
    private Float earTemp1;

    /**
     * 环境温度
     */
    @TableField("env_temp")
    private Integer envTemp;

    /**
     * 环境温度
     */
    @TableField("env_temp1")
    private Float envTemp1;

    /**
     * 运动量
     */
    @TableField("act")
    private Integer act;

    /**
     * 运动量
     */
    @TableField("act1")
    private Integer act1;

    /**
     * 信号强度
     */
    @TableField("signal1")
    private Integer signal1;

    /**
     * 采集时间
     */
    @TableField("ask_time")
    private String askTime;

    /**
     * 预留字段
     */
    @TableField("other")
    private String other;

    /**
     * 入库时间
     */
    @TableField("add_time")
    private String addTime;

    /**
     * 牧场ID
     */
    @TableField("create_date")
    private Date createDate;

    /**
     * 创建日期
     */
    @TableField("farm_id")
    private String farmId;

    /**
     * 采集日期
     */
    @TableField("ask_date")
    private Date askDate;

    /**
     * 耳面温度
     */
    @TableField("ear_temp2")
    private Float earTemp2;


}
